Get Clearing Order
POSThttps://api.gemini.com/v1/clearing/status
Retrieve the current status of a bilateral clearing order.
curl --request POST \
--url https://api.gemini.com/v1/clearing/status \
--header 'Content-Type: application/json' \
--header 'X-GEMINI-APIKEY: <string>' \
--header 'X-GEMINI-PAYLOAD: <string>' \
--header 'X-GEMINI-SIGNATURE: <string>' \
--data '
{
"request": "/v1/clearing/status",
"nonce": "<nonce>",
"clearing_id": "OM9VNL1G"
}
'
Roles
The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.
The OAuth scope must have clearing:read assigned to access this endpoint. See OAuth Scopes for more information.
Headers
X-GEMINI-APIKEYstring·required
Your API keyX-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secretX-GEMINI-PAYLOADstring·required
Base64-encoded JSON payloadContent-Typestring
Default: text/plainContent-Lengthstring
Default: 0Cache-Controlstring
Default: no-cacheRequest Body
requeststring·required
The literal string "/v1/clearing/status"nonceTimestampType | integer·required
timestampExample: 1495127793000clearing_idstring·required
The clearing IDaccountstring
Required for Master API keys. The name of the account within the subaccount group.{
"request": "/v1/clearing/status",
"nonce": "<nonce>",
"clearing_id": "OM9VNL1G"
}
Responses
Successful operation
clearing_idstring
The clearing IDsymbolstring
The trading pairpricestring
The order priceamountstring
The order amountsidestring·enum
Enum values: buysellstatusstring
The order statustimestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000timestampmsinteger
The timestamp in millisecondsis_confirmedboolean
Whether the order is confirmed{
"result": "ok",
"status": "Confirmed"
}